AnnotationMetadataReader (Grails 5.2.4)

Package: org.grails.asm

## [Java] Class AnnotationMetadataReader

- org.grails.asm.AnnotationMetadataReader

- All Implemented Interfaces and Traits:
    org.springframework.core.type.classreading.MetadataReader

      public class AnnotationMetadataReader
      extends java.lang.Object
      implements org.springframework.core.type.classreading.MetadataReader

  A more limited version of Spring's annotation reader that only reads annotations on classes

  Authors:
    Graeme Rocher
  Since:
    3.1.13

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnotationMetadataReader (org.springframework.core.io.Resource resource, java.lang.ClassLoader classLoader)` Reads only the annotation names from a class resource
    `AnnotationMetadataReader (org.springframework.core.io.Resource resource, java.lang.ClassLoader classLoader, boolean readAttributeValues)` Constructs a new annotation metadata reader

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.core.type.AnnotationMetadata` | `getAnnotationMetadata()`
    `` | `public org.springframework.core.type.ClassMetadata` | `getClassMetadata()`
    `` | `public org.springframework.core.io.Resource` | `getResource()`
    `` | `public org.springframework.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public AnnotationMetadataReader(org.springframework.core.io.Resource resource, java.lang.ClassLoader classLoader)

      Reads only the annotation names from a class resource

      throws:
        IOException
      Parameters:
        `resource` - The resource
        `classLoader` - The classloader

    - #### public AnnotationMetadataReader(org.springframework.core.io.Resource resource, java.lang.ClassLoader classLoader, boolean readAttributeValues)

      Constructs a new annotation metadata reader

      throws:
        IOException
      Parameters:
        `resource` - The resource
        `classLoader` - The classloader
        `readAttributeValues` - Whether to read the attributes in addition or just the annotation class names

  - ### Method Detail

    - #### @java.lang.Override public org.springframework.core.type.AnnotationMetadata getAnnotationMetadata()

    - #### @java.lang.Override public org.springframework.core.type.ClassMetadata getClassMetadata()

    - #### @java.lang.Override public org.springframework.core.io.Resource getResource()

    - #### @java.lang.Override public org.springframework.asm.AnnotationVisitor visitAnnotation(java.lang.String desc, boolean visible)